Inhalte
Index 🔎︎

# Funktion Str

Die Funktion Str wandelt den Inhalt von Variablen in eine Zeichenfolge um. Es verarbeitet numerische Werte, Datumsangaben, Zeichenfolgen und Währungswerte.

Positiven Zahlen wird ein Leerzeichen vorangestellt. Negativen Zahlen wird ein Minuszeichen vorangestellt.

Bei numerischen Werten ist die von der Funktion Str zurückgegebene Zeichenfolge unabhängig von der Ländereinstellung. Daher wird der Punkt bei Bedarf als Dezimaltrennzeichen verwendet.

Wird als Argument eine Zeichenfolge übergeben, wird diese unverändert zurückgegeben.

Datumsangaben werden in gebietsschemaabhängige Zeichenfolgen konvertiert.

### Syntax:

        Str (Wert As Variant)

### Rückgabewert:

String

### Parameter:

Wert: Beliebiger Wert, der in eine Zeichenfolge umgewandelt werden soll.

### Fehlercodes:

5 Ungültiger Prozeduraufruf

### Beispiel:

Nachfolgend finden Sie einige numerische Beispiele für die Verwendung der Funktion Str.

        Sub ExampleStr_1
            ' Beachten Sie das Leerzeichen am Anfang der zurückgegebenen Zeichenfolgen
            MsgBox Str(10) ' " 10"
            MsgBox Str(10.5) ' " 10.5"
            MsgBox Str(-12345 + 1.3) ' " -12346.3"
            MsgBox Str(10000 / 3) '  " 3333.33333333333"
            ' Als Argument übergebene Zeichenfolgen bleiben unverändert
            MsgBox Str("A123") ' "A123"
        End Sub

Verwenden Sie die Funktion LTrim, um das Leerzeichen am Anfang der zurückgegebenen Zeichenfolge zu entfernen.

        Sub ExampleStr_2
            MsgBox Str(10.5) ' " 10.5"
            MsgBox LTrim(Str(10.5)) ' "10.5"
        End Sub

Die Funktion Str kann auch mit einer Variablen Date umgehen.

        Sub ExampleStr_3
            Dim aDate as Date, aTime as Date
            aDate = DateSerial(2021, 12, 20)
            aTime = TimeSerial(10, 20, 45)
            Print Str(aDate) ' "12/20/2021"
            Print Str(aTime) ' "10:20:45"
        End sub

Verwandte Themen

Funktion Val